local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.EnemyDetected, x.EnemyDetected, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff

-- Spell table references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-s-castable

a.spells["auto_attack"] = {
	ID = 6603--[[Auto Attack]],
	EnemyTargetNeeded = 1,
	Melee = 1,
	NotIfActive = 1,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.EnemyDetected, "White", "Pink")
		return x.NoCC
	end,
}

a.spells["augmentation"] = {
	Type = "item",
	ID = 160053--[[Battle-Scarred Augment Rune]],
	Buff = 270058--[[Battle-Scarred Augmentation]],
	BuffUnit = "player",
	FlashColor = "Green",
	CheckFirst = function(z)
		return s.Boss("target")
	end,
}

a.spells["food"] = {
	Type = "item",
	ID = 156526--[[Bountiful Captain's Feast]],
	Buff = 257415--[[Well Fed]],
	BuffUnit = "player",
	FlashColor = "Green",
	CheckFirst = function(z)
		return s.Boss("target")
	end,
	FlashID = {
		156526--[[Bountiful Captain's Feast]],
		156525--[[Galley Banquet]],
		154884--[[Swamp Fish 'n Chips]],
		154883--[[Ravenberry Tarts]],
		154888--[[Sailor's Pie]],
		154887--[[Loa Loaf]]},
}

a.spells["flask"] = {
	Type = "item",
	ID = 152641--[[Flask of the Undertow]],
	FlashColor = "Green",
	CheckFirst = function(z)
		return s.Boss("target") and not s.Buff(251839--[[Flask of the Undertow]], "player") and not s.Buff(251838--[[Flask of the Vast Horizon]], "player")
	end,
	FlashID = {152641--[[Flask of the Undertow]], 152640--[[Flask of the Vast Horizon]]},
}

a.spells["potion"] = {
	Type = "item",
	ID = 152560--[[Potion of Bursting Blood]],
	Buff = 251316--[[Potion of Bursting Blood]],
	BuffUnit = "player",
	NoGCD = true,
	CheckFirst = function(z)
		z.FlashColor = s.If(x.InCombat, "Yellow", "Green")
		return s.Boss("target")
	end,
}

a.spells["rebuke"] = {
	ID = 96231--[[Rebuke]],
	EnemyTargetNeeded = true,
	Interrupt = true,
	NoGCD = true,
	FlashColor = "Aqua",
}
